This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 473906 - [RFE] Check for "Requires: python(abi) = x.y"
[RFE] Check for "Requires: python(abi) = x.y"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 07:23 EST by Ignacio Vazquez-Abrams
Modified: 2011-04-24 21:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-24 21:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-12-01 07:23:34 EST
Packages with compiled Python scripts (*.py[co]) must have a dependency on python(abi). This dependency:

- Must not be static in the spec file, e.g., "Requires: python(abi) = 2.5"
- Must not appear more than once in the RPM
- Must appear regardless of where the compiled script is installed
Comment 1 john5342 2008-12-08 20:30:55 EST
This bug has been triaged
Comment 2 Thomas Spura 2010-03-01 11:51:48 EST
The dependency on python(abi) is generated automatic no matter if 2.6 or even 3.1.

You only need to buildrequire the correct python version:
python2-devel or python3-devel

rpmlint also detects, if files under /usr/lib*/python?.?/site-packages/* are compiled with the correct python version, e.g. when files in /usr/lib*/python3.1/site-packages/* are compiled with python 2.6 this is detected and printed.

I don't know, what you want to check for anything else beyond that.

Did I miss something?
Comment 3 Fedora Admin XMLRPC Client 2010-12-07 16:18:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Tom "spot" Callaway 2011-04-24 21:03:14 EDT
Given that the python(abi) dependency is autogenerated and no longer needs to be hard-coded, there is no real benefit to an rpmlint check, as it would only catch the case where the Fedora python autodependency mechanisms failed in koji.

Note You need to log in before you can comment on or make changes to this bug.